"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = structLayout;

var _layout = require("@capnp-js/layout");

function structLayout(p) {
  const bytes = (0, _layout.structBytes)(p.hi);
  const pointersSection = p.object.position + bytes.data;
  return {
    tag: "struct",
    bytes,
    dataSection: p.object.position,
    pointersSection,
    end: pointersSection + bytes.pointers
  };
}